diff --git a/contrib/bloom/bloom--1.0.sql b/contrib/bloom/bloom--1.0.sql
index 4e7c922..ca54f81 100644
--- a/contrib/bloom/bloom--1.0.sql
+++ b/contrib/bloom/bloom--1.0.sql
@@ -15,11 +15,11 @@ COMMENT ON ACCESS METHOD bloom IS 'bloom index access method';
 -- Opclasses
 
 CREATE OPERATOR CLASS int4_ops
-DEFAULT FOR TYPE int4 USING bloom AS
+DEFAULT BITWISE FOR TYPE int4 USING bloom AS
 	OPERATOR	1	=(int4, int4),
 	FUNCTION	1	hashint4(int4);
 
 CREATE OPERATOR CLASS text_ops
-DEFAULT FOR TYPE text USING bloom AS
+DEFAULT BITWISE FOR TYPE text USING bloom AS
 	OPERATOR	1	=(text, text),
 	FUNCTION	1	hashtext(text);
diff --git a/contrib/btree_gin/btree_gin--1.0--1.1.sql b/contrib/btree_gin/btree_gin--1.0--1.1.sql
index dd81d27..b6f01cb 100644
--- a/contrib/btree_gin/btree_gin--1.0--1.1.sql
+++ b/contrib/btree_gin/btree_gin--1.0--1.1.sql
@@ -20,7 +20,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS macaddr8_ops
-DEFAULT FOR TYPE macaddr8 USING gin
+DEFAULT BITWISE FOR TYPE macaddr8 USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
diff --git a/contrib/btree_gin/btree_gin--1.0.sql b/contrib/btree_gin/btree_gin--1.0.sql
index cf867ef..473d395 100644
--- a/contrib/btree_gin/btree_gin--1.0.sql
+++ b/contrib/btree_gin/btree_gin--1.0.sql
@@ -24,7 +24,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS int2_ops
-DEFAULT FOR TYPE int2 USING gin
+DEFAULT BITWISE FOR TYPE int2 USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -54,7 +54,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS int4_ops
-DEFAULT FOR TYPE int4 USING gin
+DEFAULT BITWISE FOR TYPE int4 USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -84,7 +84,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS int8_ops
-DEFAULT FOR TYPE int8 USING gin
+DEFAULT BITWISE FOR TYPE int8 USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -114,7 +114,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS float4_ops
-DEFAULT FOR TYPE float4 USING gin
+DEFAULT BITWISE FOR TYPE float4 USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -174,7 +174,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS money_ops
-DEFAULT FOR TYPE money USING gin
+DEFAULT BITWISE FOR TYPE money USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -204,7 +204,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS oid_ops
-DEFAULT FOR TYPE oid USING gin
+DEFAULT BITWISE FOR TYPE oid USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -234,7 +234,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS timestamp_ops
-DEFAULT FOR TYPE timestamp USING gin
+DEFAULT BITWISE FOR TYPE timestamp USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -264,7 +264,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS timestamptz_ops
-DEFAULT FOR TYPE timestamptz USING gin
+DEFAULT BITWISE FOR TYPE timestamptz USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -294,7 +294,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS time_ops
-DEFAULT FOR TYPE time USING gin
+DEFAULT BITWISE FOR TYPE time USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -324,7 +324,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS timetz_ops
-DEFAULT FOR TYPE timetz USING gin
+DEFAULT BITWISE FOR TYPE timetz USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -354,7 +354,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS date_ops
-DEFAULT FOR TYPE date USING gin
+DEFAULT BITWISE FOR TYPE date USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -384,7 +384,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS interval_ops
-DEFAULT FOR TYPE interval USING gin
+DEFAULT BITWISE FOR TYPE interval USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -414,7 +414,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS macaddr_ops
-DEFAULT FOR TYPE macaddr USING gin
+DEFAULT BITWISE FOR TYPE macaddr USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -444,7 +444,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS inet_ops
-DEFAULT FOR TYPE inet USING gin
+DEFAULT BITWISE FOR TYPE inet USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -474,7 +474,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS cidr_ops
-DEFAULT FOR TYPE cidr USING gin
+DEFAULT BITWISE FOR TYPE cidr USING gin
 AS
     OPERATOR        1       <(inet,inet),
     OPERATOR        2       <=(inet,inet),
@@ -504,7 +504,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS text_ops
-DEFAULT FOR TYPE text USING gin
+DEFAULT BITWISE FOR TYPE text USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -519,7 +519,7 @@ AS
 STORAGE         text;
 
 CREATE OPERATOR CLASS varchar_ops
-DEFAULT FOR TYPE varchar USING gin
+DEFAULT BITWISE FOR TYPE varchar USING gin
 AS
     OPERATOR        1       <(text,text),
     OPERATOR        2       <=(text,text),
@@ -549,7 +549,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS char_ops
-DEFAULT FOR TYPE "char" USING gin
+DEFAULT BITWISE FOR TYPE "char" USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -579,7 +579,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS bytea_ops
-DEFAULT FOR TYPE bytea USING gin
+DEFAULT BITWISE FOR TYPE bytea USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -609,7 +609,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS bit_ops
-DEFAULT FOR TYPE bit USING gin
+DEFAULT BITWISE FOR TYPE bit USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -639,7 +639,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS varbit_ops
-DEFAULT FOR TYPE varbit USING gin
+DEFAULT BITWISE FOR TYPE varbit USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
diff --git a/contrib/btree_gin/btree_gin--1.1--1.2.sql b/contrib/btree_gin/btree_gin--1.1--1.2.sql
index 2a16837..f8bd1b4 100644
--- a/contrib/btree_gin/btree_gin--1.1--1.2.sql
+++ b/contrib/btree_gin/btree_gin--1.1--1.2.sql
@@ -32,7 +32,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS enum_ops
-DEFAULT FOR TYPE anyenum USING gin
+DEFAULT BITWISE FOR TYPE anyenum USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
diff --git a/contrib/btree_gin/btree_gin--1.2--1.3.sql b/contrib/btree_gin/btree_gin--1.2--1.3.sql
index db675b7..1c5d538 100644
--- a/contrib/btree_gin/btree_gin--1.2--1.3.sql
+++ b/contrib/btree_gin/btree_gin--1.2--1.3.sql
@@ -20,7 +20,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS uuid_ops
-DEFAULT FOR TYPE uuid USING gin
+DEFAULT BITWISE FOR TYPE uuid USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -51,7 +51,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS name_ops
-DEFAULT FOR TYPE name USING gin
+DEFAULT BITWISE FOR TYPE name USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -82,7 +82,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS bool_ops
-DEFAULT FOR TYPE bool USING gin
+DEFAULT BITWISE FOR TYPE bool USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
@@ -113,7 +113,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE;
 
 CREATE OPERATOR CLASS bpchar_ops
-DEFAULT FOR TYPE bpchar USING gin
+DEFAULT BITWISE FOR TYPE bpchar USING gin
 AS
     OPERATOR        1       <,
     OPERATOR        2       <=,
diff --git a/contrib/btree_gist/btree_gist--1.2--1.3.sql b/contrib/btree_gist/btree_gist--1.2--1.3.sql
index 726561e..552339c 100644
--- a/contrib/btree_gist/btree_gist--1.2--1.3.sql
+++ b/contrib/btree_gist/btree_gist--1.2--1.3.sql
@@ -43,7 +43,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_uuid_ops
-DEFAULT FOR TYPE uuid USING gist
+DEFAULT BITWISE FOR TYPE uuid USING gist
 AS
 	OPERATOR	1	<   ,
 	OPERATOR	2	<=  ,
diff --git a/contrib/btree_gist/btree_gist--1.2.sql b/contrib/btree_gist/btree_gist--1.2.sql
index 1efe753..8a705b0 100644
--- a/contrib/btree_gist/btree_gist--1.2.sql
+++ b/contrib/btree_gist/btree_gist--1.2.sql
@@ -296,7 +296,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_oid_ops
-DEFAULT FOR TYPE oid USING gist
+DEFAULT BITWISE FOR TYPE oid USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -373,7 +373,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_int2_ops
-DEFAULT FOR TYPE int2 USING gist
+DEFAULT BITWISE FOR TYPE int2 USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -445,7 +445,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_int4_ops
-DEFAULT FOR TYPE int4 USING gist
+DEFAULT BITWISE FOR TYPE int4 USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -518,7 +518,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_int8_ops
-DEFAULT FOR TYPE int8 USING gist
+DEFAULT BITWISE FOR TYPE int8 USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -749,7 +749,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_timestamp_ops
-DEFAULT FOR TYPE timestamp USING gist
+DEFAULT BITWISE FOR TYPE timestamp USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -773,7 +773,7 @@ ALTER OPERATOR FAMILY gist_timestamp_ops USING gist ADD
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_timestamptz_ops
-DEFAULT FOR TYPE timestamptz USING gist
+DEFAULT BITWISE FOR TYPE timestamptz USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -855,7 +855,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_time_ops
-DEFAULT FOR TYPE time USING gist
+DEFAULT BITWISE FOR TYPE time USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -879,7 +879,7 @@ ALTER OPERATOR FAMILY gist_time_ops USING gist ADD
 
 
 CREATE OPERATOR CLASS gist_timetz_ops
-DEFAULT FOR TYPE timetz USING gist
+DEFAULT BITWISE FOR TYPE timetz USING gist
 AS
 	OPERATOR	1	<   ,
 	OPERATOR	2	<=  ,
@@ -950,7 +950,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_date_ops
-DEFAULT FOR TYPE date USING gist
+DEFAULT BITWISE FOR TYPE date USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -1028,7 +1028,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_interval_ops
-DEFAULT FOR TYPE interval USING gist
+DEFAULT BITWISE FOR TYPE interval USING gist
 AS
 	OPERATOR	1	< ,
 	OPERATOR	2	<= ,
@@ -1101,7 +1101,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_cash_ops
-DEFAULT FOR TYPE money USING gist
+DEFAULT BITWISE FOR TYPE money USING gist
 AS
 	OPERATOR	1	< ,
 	OPERATOR	2	<= ,
@@ -1169,7 +1169,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_macaddr_ops
-DEFAULT FOR TYPE macaddr USING gist
+DEFAULT BITWISE FOR TYPE macaddr USING gist
 AS
 	OPERATOR	1	< ,
 	OPERATOR	2	<= ,
@@ -1240,7 +1240,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_text_ops
-DEFAULT FOR TYPE text USING gist
+DEFAULT BITWISE FOR TYPE text USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -1263,7 +1263,7 @@ ALTER OPERATOR FAMILY gist_text_ops USING gist ADD
 
 ---- Create the operator class
 CREATE OPERATOR CLASS gist_bpchar_ops
-DEFAULT FOR TYPE bpchar USING gist
+DEFAULT BITWISE FOR TYPE bpchar USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -1322,7 +1322,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_bytea_ops
-DEFAULT FOR TYPE bytea USING gist
+DEFAULT BITWISE FOR TYPE bytea USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -1443,7 +1443,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_bit_ops
-DEFAULT FOR TYPE bit USING gist
+DEFAULT BITWISE FOR TYPE bit USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -1466,7 +1466,7 @@ ALTER OPERATOR FAMILY gist_bit_ops USING gist ADD
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_vbit_ops
-DEFAULT FOR TYPE varbit USING gist
+DEFAULT BITWISE FOR TYPE varbit USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
@@ -1527,7 +1527,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_inet_ops
-DEFAULT FOR TYPE inet USING gist
+DEFAULT BITWISE FOR TYPE inet USING gist
 AS
 	OPERATOR	1	<   ,
 	OPERATOR	2	<=  ,
@@ -1549,7 +1549,7 @@ ALTER OPERATOR FAMILY gist_inet_ops USING gist ADD
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_cidr_ops
-DEFAULT FOR TYPE cidr USING gist
+DEFAULT BITWISE FOR TYPE cidr USING gist
 AS
 	OPERATOR	1	<  (inet, inet)  ,
 	OPERATOR	2	<= (inet, inet)  ,
diff --git a/contrib/btree_gist/btree_gist--1.3--1.4.sql b/contrib/btree_gist/btree_gist--1.3--1.4.sql
index f77f6c8..557701a 100644
--- a/contrib/btree_gist/btree_gist--1.3--1.4.sql
+++ b/contrib/btree_gist/btree_gist--1.3--1.4.sql
@@ -43,7 +43,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_macaddr8_ops
-DEFAULT FOR TYPE macaddr8 USING gist
+DEFAULT BITWISE FOR TYPE macaddr8 USING gist
 AS
 	OPERATOR	1	< ,
 	OPERATOR	2	<= ,
diff --git a/contrib/btree_gist/btree_gist--1.4--1.5.sql b/contrib/btree_gist/btree_gist--1.4--1.5.sql
index cf974c2..14ef593 100644
--- a/contrib/btree_gist/btree_gist--1.4--1.5.sql
+++ b/contrib/btree_gist/btree_gist--1.4--1.5.sql
@@ -48,7 +48,7 @@ LANGUAGE C IMMUTABLE STRICT;
 
 -- Create the operator class
 CREATE OPERATOR CLASS gist_enum_ops
-DEFAULT FOR TYPE anyenum USING gist
+DEFAULT BITWISE FOR TYPE anyenum USING gist
 AS
 	OPERATOR	1	<  ,
 	OPERATOR	2	<= ,
diff --git a/contrib/citext/citext--1.4--1.5.sql b/contrib/citext/citext--1.4--1.5.sql
index 5ae522b..6a3369e 100644
--- a/contrib/citext/citext--1.4--1.5.sql
+++ b/contrib/citext/citext--1.4--1.5.sql
@@ -79,7 +79,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C STRICT IMMUTABLE PARALLEL SAFE;
 
 CREATE OPERATOR CLASS citext_pattern_ops
-FOR TYPE CITEXT USING btree AS
+BITWISE FOR TYPE CITEXT USING btree AS
     OPERATOR    1   ~<~  (citext, citext),
     OPERATOR    2   ~<=~ (citext, citext),
     OPERATOR    3   =    (citext, citext),
diff --git a/contrib/citext/citext--1.4.sql b/contrib/citext/citext--1.4.sql
index 7b06198..dfed78b 100644
--- a/contrib/citext/citext--1.4.sql
+++ b/contrib/citext/citext--1.4.sql
@@ -208,7 +208,7 @@ LANGUAGE C STRICT IMMUTABLE PARALLEL SAFE;
 --
 
 CREATE OPERATOR CLASS citext_ops
-DEFAULT FOR TYPE CITEXT USING btree AS
+DEFAULT BITWISE FOR TYPE CITEXT USING btree AS
     OPERATOR    1   <  (citext, citext),
     OPERATOR    2   <= (citext, citext),
     OPERATOR    3   =  (citext, citext),
@@ -221,7 +221,7 @@ DEFAULT FOR TYPE CITEXT USING btree AS
 --
 
 CREATE OPERATOR CLASS citext_ops
-DEFAULT FOR TYPE citext USING hash AS
+DEFAULT BITWISE FOR TYPE citext USING hash AS
     OPERATOR    1   =  (citext, citext),
     FUNCTION    1   citext_hash(citext);
 
diff --git a/contrib/cube/cube--1.2.sql b/contrib/cube/cube--1.2.sql
index dea2614..faf5a06 100644
--- a/contrib/cube/cube--1.2.sql
+++ b/contrib/cube/cube--1.2.sql
@@ -347,7 +347,7 @@ LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 -- Create the operator classes for indexing
 
 CREATE OPERATOR CLASS cube_ops
-    DEFAULT FOR TYPE cube USING btree AS
+    DEFAULT BITWISE FOR TYPE cube USING btree AS
         OPERATOR        1       < ,
         OPERATOR        2       <= ,
         OPERATOR        3       = ,
@@ -356,7 +356,7 @@ CREATE OPERATOR CLASS cube_ops
         FUNCTION        1       cube_cmp(cube, cube);
 
 CREATE OPERATOR CLASS gist_cube_ops
-    DEFAULT FOR TYPE cube USING gist AS
+    DEFAULT BITWISE FOR TYPE cube USING gist AS
 	OPERATOR	3	&& ,
 	OPERATOR	6	= ,
 	OPERATOR	7	@> ,
diff --git a/contrib/hstore/hstore--1.4.sql b/contrib/hstore/hstore--1.4.sql
index 4294d14..d34896b 100644
--- a/contrib/hstore/hstore--1.4.sql
+++ b/contrib/hstore/hstore--1.4.sql
@@ -423,7 +423,7 @@ CREATE OPERATOR #>=# (
 );
 
 CREATE OPERATOR CLASS btree_hstore_ops
-DEFAULT FOR TYPE hstore USING btree
+DEFAULT BITWISE FOR TYPE hstore USING btree
 AS
 	OPERATOR	1	#<# ,
 	OPERATOR	2	#<=# ,
@@ -440,7 +440,7 @@ AS 'MODULE_PATHNAME','hstore_hash'
 LANGUAGE C STRICT IMMUTABLE PARALLEL SAFE;
 
 CREATE OPERATOR CLASS hash_hstore_ops
-DEFAULT FOR TYPE hstore USING hash
+DEFAULT BITWISE FOR TYPE hstore USING hash
 AS
 	OPERATOR	1	= ,
 	FUNCTION	1	hstore_hash(hstore);
@@ -501,7 +501,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 
 CREATE OPERATOR CLASS gist_hstore_ops
-DEFAULT FOR TYPE hstore USING gist
+DEFAULT BITWISE FOR TYPE hstore USING gist
 AS
 	OPERATOR        7       @> ,
 	OPERATOR        9       ?(hstore,text) ,
@@ -537,7 +537,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 
 CREATE OPERATOR CLASS gin_hstore_ops
-DEFAULT FOR TYPE hstore USING gin
+DEFAULT BITWISE FOR TYPE hstore USING gin
 AS
 	OPERATOR        7       @>,
 	OPERATOR        9       ?(hstore,text),
diff --git a/contrib/intarray/intarray--1.2.sql b/contrib/intarray/intarray--1.2.sql
index f10b53d..4cca844 100644
--- a/contrib/intarray/intarray--1.2.sql
+++ b/contrib/intarray/intarray--1.2.sql
@@ -397,7 +397,7 @@ LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 -- Create the operator class for indexing
 
 CREATE OPERATOR CLASS gist__int_ops
-DEFAULT FOR TYPE _int4 USING gist AS
+DEFAULT BITWISE FOR TYPE _int4 USING gist AS
 	OPERATOR	3	&&,
 	OPERATOR	6	= (anyarray, anyarray),
 	OPERATOR	7	@>,
@@ -473,7 +473,7 @@ LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 -- register the opclass for indexing (not as default)
 
 CREATE OPERATOR CLASS gist__intbig_ops
-FOR TYPE _int4 USING gist
+BITWISE FOR TYPE _int4 USING gist
 AS
 	OPERATOR	3	&&,
 	OPERATOR	6	= (anyarray, anyarray),
@@ -504,7 +504,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 
 CREATE OPERATOR CLASS gin__int_ops
-FOR TYPE _int4 USING gin
+BITWISE FOR TYPE _int4 USING gin
 AS
 	OPERATOR	3	&&,
 	OPERATOR	6	= (anyarray, anyarray),
diff --git a/contrib/isn/isn--1.1.sql b/contrib/isn/isn--1.1.sql
index 5206961..f6514e3 100644
--- a/contrib/isn/isn--1.1.sql
+++ b/contrib/isn/isn--1.1.sql
@@ -2716,7 +2716,7 @@ CREATE FUNCTION btean13cmp(ean13, ean13)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS ean13_ops DEFAULT
+CREATE OPERATOR CLASS ean13_ops DEFAULT BITWISE
 	FOR TYPE ean13 USING btree FAMILY isn_ops AS
 	OPERATOR 1  <,
 	OPERATOR 2  <=,
@@ -2731,7 +2731,7 @@ CREATE FUNCTION hashean13(ean13)
 	LANGUAGE 'internal' IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS ean13_ops DEFAULT
+CREATE OPERATOR CLASS ean13_ops DEFAULT BITWISE
 	FOR TYPE ean13 USING hash FAMILY isn_ops AS
 	OPERATOR 1  =,
 	FUNCTION 1  hashean13(ean13);
@@ -2842,7 +2842,7 @@ CREATE FUNCTION btisbn13cmp(isbn13, isbn13)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS isbn13_ops DEFAULT
+CREATE OPERATOR CLASS isbn13_ops DEFAULT BITWISE
 	FOR TYPE isbn13 USING btree FAMILY isn_ops AS
 	OPERATOR 1  <,
 	OPERATOR 2  <=,
@@ -2858,7 +2858,7 @@ CREATE FUNCTION hashisbn13(isbn13)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS isbn13_ops DEFAULT
+CREATE OPERATOR CLASS isbn13_ops DEFAULT BITWISE
 	FOR TYPE isbn13 USING hash FAMILY isn_ops AS
 	OPERATOR 1  =,
 	FUNCTION 1  hashisbn13(isbn13);
@@ -2904,7 +2904,7 @@ CREATE FUNCTION btisbncmp(isbn, isbn)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS isbn_ops DEFAULT
+CREATE OPERATOR CLASS isbn_ops DEFAULT BITWISE
 	FOR TYPE isbn USING btree FAMILY isn_ops AS
 	OPERATOR 1  <,
 	OPERATOR 2  <=,
@@ -2920,7 +2920,7 @@ CREATE FUNCTION hashisbn(isbn)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS isbn_ops DEFAULT
+CREATE OPERATOR CLASS isbn_ops DEFAULT BITWISE
 	FOR TYPE isbn USING hash FAMILY isn_ops AS
 	OPERATOR 1  =,
 	FUNCTION 1  hashisbn(isbn);
@@ -2966,7 +2966,7 @@ CREATE FUNCTION btismn13cmp(ismn13, ismn13)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS ismn13_ops DEFAULT
+CREATE OPERATOR CLASS ismn13_ops DEFAULT BITWISE
 	FOR TYPE ismn13 USING btree FAMILY isn_ops AS
 	OPERATOR 1  <,
 	OPERATOR 2  <=,
@@ -2982,7 +2982,7 @@ CREATE FUNCTION hashismn13(ismn13)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS ismn13_ops DEFAULT
+CREATE OPERATOR CLASS ismn13_ops DEFAULT BITWISE
 	FOR TYPE ismn13 USING hash FAMILY isn_ops AS
 	OPERATOR 1  =,
 	FUNCTION 1  hashismn13(ismn13);
@@ -3028,7 +3028,7 @@ CREATE FUNCTION btismncmp(ismn, ismn)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS ismn_ops DEFAULT
+CREATE OPERATOR CLASS ismn_ops DEFAULT BITWISE
 	FOR TYPE ismn USING btree FAMILY isn_ops AS
 	OPERATOR 1  <,
 	OPERATOR 2  <=,
@@ -3044,7 +3044,7 @@ CREATE FUNCTION hashismn(ismn)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS ismn_ops DEFAULT
+CREATE OPERATOR CLASS ismn_ops DEFAULT BITWISE
 	FOR TYPE ismn USING hash FAMILY isn_ops AS
 	OPERATOR 1  =,
 	FUNCTION 1  hashismn(ismn);
@@ -3090,7 +3090,7 @@ CREATE FUNCTION btissn13cmp(issn13, issn13)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS issn13_ops DEFAULT
+CREATE OPERATOR CLASS issn13_ops DEFAULT BITWISE
 	FOR TYPE issn13 USING btree FAMILY isn_ops AS
 	OPERATOR 1  <,
 	OPERATOR 2  <=,
@@ -3106,7 +3106,7 @@ CREATE FUNCTION hashissn13(issn13)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS issn13_ops DEFAULT
+CREATE OPERATOR CLASS issn13_ops DEFAULT BITWISE
 	FOR TYPE issn13 USING hash FAMILY isn_ops AS
 	OPERATOR 1  =,
 	FUNCTION 1  hashissn13(issn13);
@@ -3152,7 +3152,7 @@ CREATE FUNCTION btissncmp(issn, issn)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS issn_ops DEFAULT
+CREATE OPERATOR CLASS issn_ops DEFAULT BITWISE
 	FOR TYPE issn USING btree FAMILY isn_ops AS
 	OPERATOR 1  <,
 	OPERATOR 2  <=,
@@ -3168,7 +3168,7 @@ CREATE FUNCTION hashissn(issn)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS issn_ops DEFAULT
+CREATE OPERATOR CLASS issn_ops DEFAULT BITWISE
 	FOR TYPE issn USING hash FAMILY isn_ops AS
 	OPERATOR 1  =,
 	FUNCTION 1  hashissn(issn);
@@ -3214,7 +3214,7 @@ CREATE FUNCTION btupccmp(upc, upc)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS upc_ops DEFAULT
+CREATE OPERATOR CLASS upc_ops DEFAULT BITWISE
 	FOR TYPE upc USING btree FAMILY isn_ops AS
 	OPERATOR 1  <,
 	OPERATOR 2  <=,
@@ -3230,7 +3230,7 @@ CREATE FUNCTION hashupc(upc)
 	IMMUTABLE STRICT
 	PARALLEL SAFE;
 
-CREATE OPERATOR CLASS upc_ops DEFAULT
+CREATE OPERATOR CLASS upc_ops DEFAULT BITWISE
 	FOR TYPE upc USING hash FAMILY isn_ops AS
 	OPERATOR 1  =,
 	FUNCTION 1  hashupc(upc);
diff --git a/contrib/ltree/ltree--1.1.sql b/contrib/ltree/ltree--1.1.sql
index d46f5fc..3198096 100644
--- a/contrib/ltree/ltree--1.1.sql
+++ b/contrib/ltree/ltree--1.1.sql
@@ -290,7 +290,7 @@ CREATE OPERATOR || (
 -- B-tree support
 
 CREATE OPERATOR CLASS ltree_ops
-    DEFAULT FOR TYPE ltree USING btree AS
+    DEFAULT BITWISE FOR TYPE ltree USING btree AS
         OPERATOR        1       < ,
         OPERATOR        2       <= ,
         OPERATOR        3       = ,
@@ -518,7 +518,7 @@ CREATE FUNCTION ltree_same(ltree_gist, ltree_gist, internal)
 RETURNS internal as 'MODULE_PATHNAME' LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 
 CREATE OPERATOR CLASS gist_ltree_ops
-    DEFAULT FOR TYPE ltree USING gist AS
+    DEFAULT BITWISE FOR TYPE ltree USING gist AS
 	OPERATOR	1	< ,
 	OPERATOR	2	<= ,
 	OPERATOR	3	= ,
@@ -853,7 +853,7 @@ AS 'MODULE_PATHNAME'
 LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 
 CREATE OPERATOR CLASS gist__ltree_ops
-    DEFAULT FOR TYPE _ltree USING gist AS
+    DEFAULT BITWISE FOR TYPE _ltree USING gist AS
 	OPERATOR	10	<@ (_ltree, ltree),
 	OPERATOR	11	@> (ltree, _ltree),
 	OPERATOR	12	~ (_ltree, lquery),
diff --git a/contrib/pg_trgm/pg_trgm--1.3.sql b/contrib/pg_trgm/pg_trgm--1.3.sql
index 5e08e87..ab917d2 100644
--- a/contrib/pg_trgm/pg_trgm--1.3.sql
+++ b/contrib/pg_trgm/pg_trgm--1.3.sql
@@ -168,7 +168,7 @@ LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 
 -- create the operator class for gist
 CREATE OPERATOR CLASS gist_trgm_ops
-FOR TYPE text USING gist
+BITWISE FOR TYPE text USING gist
 AS
         OPERATOR        1       % (text, text),
         FUNCTION        1       gtrgm_consistent (internal, text, smallint, oid, internal),
@@ -221,7 +221,7 @@ LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 
 -- create the operator class for gin
 CREATE OPERATOR CLASS gin_trgm_ops
-FOR TYPE text USING gin
+BITWISE FOR TYPE text USING gin
 AS
         OPERATOR        1       % (text, text),
         FUNCTION        1       btint4cmp (int4, int4),
diff --git a/contrib/postgres_fdw/expected/postgres_fdw.out b/contrib/postgres_fdw/expected/postgres_fdw.out
index f0c842a..18bc5b9 100644
--- a/contrib/postgres_fdw/expected/postgres_fdw.out
+++ b/contrib/postgres_fdw/expected/postgres_fdw.out
@@ -3111,7 +3111,7 @@ create operator public.>^ (
 create operator family my_op_family using btree;
 create function my_op_cmp(a int, b int) returns int as
   $$begin return btint4cmp(a, b); end $$ language plpgsql;
-create operator class my_op_class for type int using btree family my_op_family as
+create operator class my_op_class bitwise for type int using btree family my_op_family as
  operator 1 public.<^,
  operator 3 public.=^,
  operator 5 public.>^,
diff --git a/contrib/postgres_fdw/sql/postgres_fdw.sql b/contrib/postgres_fdw/sql/postgres_fdw.sql
index 630b803..4438663 100644
--- a/contrib/postgres_fdw/sql/postgres_fdw.sql
+++ b/contrib/postgres_fdw/sql/postgres_fdw.sql
@@ -825,7 +825,7 @@ create operator family my_op_family using btree;
 create function my_op_cmp(a int, b int) returns int as
   $$begin return btint4cmp(a, b); end $$ language plpgsql;
 
-create operator class my_op_class for type int using btree family my_op_family as
+create operator class my_op_class bitwise for type int using btree family my_op_family as
  operator 1 public.<^,
  operator 3 public.=^,
  operator 5 public.>^,
diff --git a/contrib/seg/seg--1.1.sql b/contrib/seg/seg--1.1.sql
index d95aabc..b869071 100644
--- a/contrib/seg/seg--1.1.sql
+++ b/contrib/seg/seg--1.1.sql
@@ -365,7 +365,7 @@ LANGUAGE C IMMUTABLE STRICT PARALLEL SAFE;
 -- Create the operator classes for indexing
 
 CREATE OPERATOR CLASS seg_ops
-    DEFAULT FOR TYPE seg USING btree AS
+    DEFAULT BITWISE FOR TYPE seg USING btree AS
         OPERATOR        1       < ,
         OPERATOR        2       <= ,
         OPERATOR        3       = ,
@@ -374,7 +374,7 @@ CREATE OPERATOR CLASS seg_ops
         FUNCTION        1       seg_cmp(seg, seg);
 
 CREATE OPERATOR CLASS gist_seg_ops
-DEFAULT FOR TYPE seg USING gist
+DEFAULT BITWISE FOR TYPE seg USING gist
 AS
 	OPERATOR	1	<< ,
 	OPERATOR	2	&< ,
